GreatWksTextInternal::State Struct Reference

Internal: the state of a GreatWksText. More...

## Public Member Functions

| State ()
| constructor
int | getFId (int fileId) const
| returns the font id corresponding to a fId

## Public Attributes

std::map< int, int > | m_fileIdFontIdMap
| a global map file font id-> fontconverter id
std::vector< Zone > | m_zonesList
| a list of text zone
int | m_version
| the file version
int | m_numPages

## Detailed Description

Internal: the state of a GreatWksText.

## Constructor & Destructor Documentation

## State()

GreatWksTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getFId()

int GreatWksTextInternal::State::getFId | ( | int | fileId | ) | const

inline

returns the font id corresponding to a fId

## Member Data Documentation

## m_fileIdFontIdMap

std::map<int, int> GreatWksTextInternal::State::m_fileIdFontIdMap

a global map file font id-> fontconverter id

Referenced by getFId(), and State().

## m_numPages

int GreatWksTextInternal::State::m_numPages

Referenced by State().

## m_version

int GreatWksTextInternal::State::m_version

mutable

the file version

Referenced by State().

## m_zonesList

std::vector<Zone> GreatWksTextInternal::State::m_zonesList

a list of text zone

Referenced by State().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx